package com.futu.course.orders.controller;

import com.futu.course.commons.vo.ResponseResult;
import com.futu.course.orders.dto.AddOrderDto;
import com.futu.course.orders.service.OrderInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("orders")
public class OrdersController {

    @Autowired
    private OrderInfoService service;
    @Transactional
    @PostMapping("createOrder")
    public ResponseResult createOrder(@RequestBody AddOrderDto dto)
    {
          return    service.createOrder(dto);
    }
}
