package com.futu.course.user.controller;

import com.futu.course.commons.vo.ResponseResult;
import com.futu.course.user.dto.LoginDto;
import com.futu.course.user.service.UserLoginService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("user")
public class UserController {

    @Autowired
    private UserLoginService service;


    @PostMapping("login")
    public ResponseResult login(@RequestBody LoginDto dto )
    {
        return  service.login(dto);
    }
}
