package com.futu.course.orders.controller;

import com.futu.course.commons.utils.SnowflakeIdWorker;
import com.futu.course.commons.vo.AppHttpCodeEnum;
import com.futu.course.commons.vo.ResponseResult;
import com.futu.course.orders.domain.Coupons;
import com.futu.course.orders.service.CouponsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Date;

@RestController
@RequestMapping("coupon")
public class CouponController {

    @Autowired
    private CouponsService service;


    @PostMapping("addCoupon")
    public ResponseResult addCoupon(@RequestBody Coupons dto)
    {
        SnowflakeIdWorker worker=new SnowflakeIdWorker(1,1);
        dto.setId(worker.nextId());
        dto.setCreateTime(new Date());
        boolean b = service.save(dto);
        return b?ResponseResult.okResult(dto):ResponseResult.errorResult(AppHttpCodeEnum.PARAM_INVALID);
    }

}
